.barre .navbar {
    background-color: rgb(255, 255, 255) !important;
    box-shadow: 0px 4px 4px -2px rgba(0, 0, 0, 0.2); 
    
}
.navbar-nav {
    margin-left: auto;
    font-size: 1.2em;
    font-variant-caps: small-caps;
}

.barre .navbar-dark .navbar-toggler-icon {
    background-color: #45a54a; 
}

.barre .navbar-dark .navbar-toggler:focus,
.barre .navbar-dark .navbar-toggler:hover {
    background-color: rgb(255, 255, 255); 
}

.navbar-brand img {
    width: 70px; 
    height: auto; 
}

.navbar-dark .navbar-nav .nav-item .nav-link {
    color: #5b865e !important;
    position: relative;
    transition: color 0.6s ease; /* Ajout de la transition pour la couleur */
}

.navbar-dark .navbar-nav .nav-item:hover .nav-link {
    color: rgb(0, 0, 0) !important;
}

.navbar-nav .active {
    color: #000000 !important;
    border-bottom: 2px solid #6bc079;
    width: 100%;
    border-radius: 1px;
    transition: 0.5s ease;     
}

.full-width-image {
    height: 360px;
    margin-top: 56px;

}
.full-width-image::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);
}
.centered-text {
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white; /* Couleur du texte */

    
}

/* Ajouter un style au texte */
.centered-text h1 {
    font-size: 2.5em; /* Taille de la police du titre */
    margin-bottom: 20px; /* Marge en bas du titre */
}

.centered-text p {
    font-size: 1.2em; /* Taille de la police du paragraphe */
    margin: 0; /* Supprime les marges par défaut */
}

#map-container {
    flex: 1;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

#map {
    width: 600px; /* Ajustez la largeur de la carte selon vos besoins */
    height: 450px; /* Ajustez la hauteur de la carte selon vos besoins */
    border: 0;
}
    
body {
    margin: 0;
    padding: 0;
    display: flex;
    min-height: 100vh;
    flex-direction: column;

}
footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f0f0f0;
    padding: 10px 15% !important;
    box-sizing: border-box; /* Assurez-vous que le rembourrage est inclus dans la largeur totale du conteneur */
}

footer p {
    margin: 0;
}

/* Style supplémentaire pour le texte du milieu (numéro de téléphone) */
footer p:nth-child(2) {
    flex-grow: 1;
    text-align: center;
    margin: 0; /* Supprime la marge pour éviter un espacement supplémentaire */
}

/* Style supplémentaire pour le texte de droite (réalisateur) */
footer p:nth-child(3) {
    text-align: right;
}


.wrapper {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: repeat(auto-fill, 1fr); 
    background-color: #fff;
    color: #444;
    gap: 10px; 
    margin-top: 56px; 
    padding-top: 40px; 
}


.box {
    background-color: #aca6a6;
    color: #000000;
    border-radius: 5px;
    padding: 20px;
    font-size: 150%;
}

.a {
    grid-column: span 4; 
    background-color: #ffffff;  
    margin-top: 40px;
    margin-bottom: 80px;
}



.c {
    grid-column: span 4;
    background-color: #e9e9e9;
    border-radius: 25px;
    
    

}




footer {
    background-color: #f0f0f0;
    text-align: center;
    padding: 10px;
    position: relative; /* Modifier la position en relative */
    width: 100%;
}
footer p {
    margin: 0;
}

/* Style supplémentaire pour le texte du milieu (numéro de téléphone) */
footer p:nth-child(2) {
    flex-grow: 1;
    text-align: center;
    margin: 0; 
}


footer p:nth-child(3) {
    text-align: right;
}




.a p{
    font-size: 70%;
    margin-left: 300px;
    
}

.a button{
    background-color: #45a54a;
    box-shadow: 12px 8px 8px -2px rgba(0, 0, 0, 0.4); 
    margin-left: 300px;
    border-radius: 15px;
    
}

.a button:hover{
    transform: scale(1.1);
    transition: transform 0.3s ease; 
}

.a button:not(:hover) {
    transform: scale(1.0); 
    transition: transform 0.3s ease;
}

.a h1{
    margin-left: 300px;
}

.a h6{
    margin-left: 300px;
}

.c img{
    width: 960px;
    height: 700px !important;
    display: block;
    margin: 0 auto;
    border-radius: 15px;
    max-width: 700px;
    
}




.c button{
    background-color: #45a54a;
    box-shadow: 12px 8px 8px -2px rgba(0, 0, 0, 0.4); 
    margin-left: 20px;
    border-radius: 15px;
    
}

.c button:hover{
    transform: scale(1.1);
    transition: transform 0.3s ease; 
}

.c button:not(:hover) {
    transform: scale(1.0); 
    transition: transform 0.3s ease;
}



.c {
    display: flex; /* Utilisation de flexbox pour aligner les éléments */
    justify-content: space-between; /* Espace entre les éléments */
    align-items: center; /* Centrage vertical */
}

.c .left,
.c .right {
    flex: 1; /* Les deux éléments prennent autant d'espace */
}

.c .right {
    text-align: left; /* Aligner le texte à droite */
    padding-left: 20px; /* Ajouter un peu de rembourrage à gauche pour éviter de coller au bord */
}

.c p {
    font-size: 70%;
    margin: 0; /* Réinitialiser les marges */
}

.c h1, .c h6, .c p {
    margin: 0; /* Réinitialiser les marges */
}

.box.c {
    display: flex;
}

.box.c .left,
.box.c .right {
    flex: 1;
}

.box.c .right {
    padding-left: 20px; /* Ajouter un peu de rembourrage à gauche pour éviter de coller au bord */
    text-align: left; /* Aligner le texte à gauche */
}

.box.c p, 
.box.c h1, 
.box.c h6 {
    margin-left: 20px; /* Même marge pour tous les éléments */
}





.c .left img {
    width: 100%; /* Assurez-vous que l'image occupe toute la largeur de son conteneur */
    height: auto; /* Gardez la proportion de l'image pour éviter l'aspect écrasé */
    object-fit: cover; /* Assurez-vous que l'image couvre entièrement son conteneur */
}


.espace{
    margin-top: 5px;
}

.e {
    display: flex; /* Utilisation de flexbox pour aligner les éléments */
    justify-content: space-between; /* Espace entre les éléments */
    align-items: center; /* Centrage vertical */
    grid-column: span 4; 
    grid-row: 3;
    background-color: #ffffff;
}

.e .right,
.e .left {
    flex: 1; /* Les deux éléments prennent autant d'espace */
}

.e .left {
    text-align: left; /* Aligner le texte à gauche */
    padding-right: 20px; /* Ajouter un peu de rembourrage à droite pour éviter de coller au bord */
}

.e p {
    font-size: 70%;
    margin: 0; /* Réinitialiser les marges */
}

.e h1, .e h6, .e p {
    margin: 0; /* Réinitialiser les marges */
}

.box.e {
    display: flex;
}

.box.e .right,
.box.e .left {
    flex: 1;
}

.box.e .left {
    padding-right: 20px; /* Ajouter un peu de rembourrage à droite pour éviter de coller au bord */
    text-align: left; /* Aligner le texte à gauche */
}

.box.e p, 
.box.e h1, 
.box.e h6 {
    margin-left: 60px; /* Même marge pour tous les éléments */
}

.e .right img {
    width: 960px;
    height: 700px !important;
    display: block;
    margin: 0 auto;
    border-radius: 15px;
    max-width: 700px;
}


.e button{
    background-color: #45a54a;
    box-shadow: 12px 8px 8px -2px rgba(0, 0, 0, 0.4); 
    margin-left: 60px;
    border-radius: 15px;
    
}

.e button:hover{
    transform: scale(1.1);
    transition: transform 0.3s ease; 
}

.e button:not(:hover) {
    transform: scale(1.0); 
    transition: transform 0.3s ease;
}

